clear all
subjects={'HD' 'MJL' };
    
figure('pos',[356   558   884   420])
for jsub=1:2 % two subjects
subplot(2,2,jsub)
data = readtable('AlpernKincaidLubeck1959IIIFig1.xlsx','Sheet',subjects{jsub});

Astim = [-3:0.1:12];
hA=plot(data.AccomStimDioptres,data.AccomResponseDioptres,'ro','markerfacecol','r');
hold on
fitAresp=fit(data.AccomStimDioptres,data.AccomResponseDioptres,'smoothingspline')
plot(Astim,fitAresp(Astim),'r')
ylabel('Measured response (D)')
title(['Subject ' subjects{jsub}]);
ylim([ -1 20])

hC=plot(data.AccomStimDioptres,data.ConvergenceResponseDioptres,'bs','markerfacecol','b');
fitCresp=fit(data.AccomStimDioptres,data.ConvergenceResponseDioptres,'smoothingspline')
plot(Astim,fitCresp(Astim),'b')
hold on

if jsub==1
    legend([hA hC],{'Ocular accommodation' 'Ocular vergence'},'location','northwest','fontsize',10,'AutoUpdate','off');
end

subplot(2,2,2+jsub)
Astim=[-4:10];
deltaA = diff(fitAresp(Astim)) ./ diff(Astim);
deltaC = diff(fitCresp(Astim)) ./ diff(Astim);
dA=plot(Astim(1:end-1),deltaA,'r','linew',2);
hold on
dC=plot(Astim(1:end-1),deltaC,'b','linew',2);
ylabel('Gradient ratio')
xlabel('Accommodative effective demand (D)')
ylim([ -1 4])
% Mark unit AC/A ratio
plot([-20 20],[1 1],'k:')

%legend([dA dC],{'Accommodation' 'Vergence'});


for j=1:4
    subplot(2,2,j)
    xlim([-3 11])
    set(gca,'fontsize',12)
    plot([-20 20],[0 0],'k-')
    plot([0 0],ylim,'k-')
    text(-0.3,1.05,char(64+j),'units','norm','fontsize',18,'fontweight','bold')
end
end

print(gcf,'Figure12.tif','-r300','-dtiff');





