% Script used by all the PlotSignals..m files.

PlotColors

% Plot demand
subplot(2,2,jmod)
d=getElement(out1.logsout,'distance demand');
hD=plot(d.Values.Time,d.Values.Data,'col',colDistDem,'linew',4)
hold on
deff=getElement(out1.logsout,'effective demand');
hDeff=plot(deff.Values.Time,deff.Values.Data,'col',colEffDem,'linew',2,'linest',':')
mot=getElement(out1.logsout,'motor signal');
hmot = plot(mot.Values.Time,mot.Values.Data,'linew',3,'col',colNeuralControl);
a=getElement(out1.logsout,'accommodation');
hAcc = plot(a.Values.Time,a.Values.Data,'linew',2,'col',colOcAccom);
op=getElement(out1.logsout,'Ocular Power');
hOcPow = plot(op.Values.Time,op.Values.Data,'linew',2,'col',colOcPow,'linest','-');

subplot(2,2,2+jmod)
f=getElement(out1.logsout,'fast signal');
hfast = plot(f.Values.Time,f.Values.Data,'linew',3,'col',colInteg);
hold on
def=getElement(out1.logsout,'defocus signal'); % sensed defocus
hdef = plot(def.Values.Time,def.Values.Data,'col',colSensedDefocus,'linest','-','linew',4);
% Extract estiamted future demand for original model and estimated
% future attainable demand for proposed model:
estattdem=getElement(out1.logsout,'EstAttainableDemand');
if isempty(estattdem)
    estattdem=getElement(out1.logsout,'EstFutureDemand');
end
hestattdem = plot(estattdem.Values.Time,estattdem.Values.Data,'linew',3,'col',colEstAttDem);
% Extract estiamted future defocus for original model and estimated
% future correctable defocus for proposed model:
estfutdefocus=getElement(out1.logsout,'EstFutureDefocus');
if isempty(estfutdefocus)
    estfutdefocus=getElement(out1.logsout,'EstFutureCorrbleDefocus');
end
hestfutdefocus = plot(estfutdefocus.Values.Time,estfutdefocus.Values.Data,'linew',2,'col',colEstFutDefocus,'linest',':');
hmot = plot(mot.Values.Time,mot.Values.Data,'linew',3,'col',colNeuralControl);

xlabel('time (s)')

drawnow

for jplot=1:2
    subplot(2,2,jmod+2*(jplot-1))
    text(-0.15,1.05,[repmat('i',1,jmod) char(64+jplot)],'fontsize',18,'fontweight','bold','units','norm')
    plot(xlim,[0 0],'k-')
    axis tight
    xlim([0 tmax])
    set(gca,'fontsize',14)
    if jmod==1
        ylabel('Model signals (D)')
    end
end

% Add legends on Model2 ("Proposed")
if jmod==2
    subplot(2,2,2+2*(jmod-1))
    l1=legend([hD hDeff  hmot hAcc hOcPow],{'distance demand' 'effective demand'  'neural control signal' 'accommodation' 'ocular power' },'location','southwest','fontsize',fs,'AutoUpdate','off');
    l2=legend([hdef hestattdem hestfutdefocus hfast hmot ],{'sensed defocus' 'estimated future (attainable) demand'  'estimated future (correctable) defocus' 'integrator output' 'neural control signal' },'location','southwest','fontsize',fs,'AutoUpdate','off');
end
